## org.apache.cassandra.db.migration
Class DropKeyspace

    java.lang.Object
      org.apache.cassandra.db.migration.Migration
          org.apache.cassandra.db.migration.DropKeyspace

    public class DropKeyspace

extends Migration

Field Summary

Fields inherited from class org.apache.cassandra.db.migration.Migration
`LAST_MIGRATION_KEY, lastVersion, logger, MIGRATIONS_CF, MIGRATIONS_KEY, NAME_VALIDATOR_REGEX, newVersion, rm, schema, SCHEMA_CF`

Constructor Summary
`protected` `DropKeyspace()` Required no-arg constructor
`` `DropKeyspace(java.lang.String name)`

Method Summary
`void` `applyModels()` keep in mind that applyLive might happen on another machine
`void` `subdeflate(org.apache.cassandra.db.migration.avro.Migration mi)` Deflate this Migration into an Avro object.
`void` `subinflate(org.apache.cassandra.db.migration.avro.Migration mi)` Inflate this Migration from an Avro object: called after the required no-arg constructor.
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.db.migration.Migration
`announce, apply, deserialize, getLastMigrationId, getLocalMigrations, getVersion, isLegalName, passiveAnnounce, serialize, toUTF8Bytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropKeyspace

    protected DropKeyspace()

  Required no-arg constructor

### DropKeyspace

    public DropKeyspace(java.lang.String name)
                 throws ConfigurationException,
                        java.io.IOException

Throws:
  `ConfigurationException`
  `java.io.IOException`

Method Detail

### applyModels

    public void applyModels()
                     throws java.io.IOException

  Description copied from class: `Migration`
  keep in mind that applyLive might happen on another machine

  Throws:
    `java.io.IOException`

### subdeflate

    public void subdeflate(org.apache.cassandra.db.migration.avro.Migration mi)

  Description copied from class: `Migration`
  Deflate this Migration into an Avro object.

  Specified by:
    `subdeflate` in class `Migration`

### subinflate

    public void subinflate(org.apache.cassandra.db.migration.avro.Migration mi)

  Description copied from class: `Migration`
  Inflate this Migration from an Avro object: called after the required no-arg constructor.

  Specified by:
    `subinflate` in class `Migration`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012 The Apache Software Foundation